Class Specialization
Shifter
Shifts the input stream by delta elements.

Pipe

Shifter

Pipe<TInput, Shifter<delta, omitBlank> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
delta | The shift size. For the output stream holds out[i]=in[i+delta]. Remarks: For delta>0 the input stream is cut of at the beginning and for delta<0 at the end.
omitBlank | Omit undefined entries. If true, the output stream is |delta| elements shorter than the input stream. If false, the lengths are equal and blanks (default constructed elements) are inserted on the cut-off-opposite side. Default: false

Remarks
The output type equals the input type.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52